Adobe Digital Editions < 4.5.1 RCE (APSB16-06) (Mac OS X)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote Mac OS X host is affected by a remote code execution
vulnerability.

Description :

The version of Adobe Digital Editions installed on the remote Mac OS X
host is prior to 4.5.1. It is, therefore, affected by a remote code
execution vulnerability due to improper validation of user-supplied
input. An attacker can exploit this to corrupt memory, resulting in
the execution of arbitrary code.

See also :

http://www.nessus.org/u?0ca0979c
http://www.nessus.org/u?c3aa2f29

Solution :

Upgrade to Adobe Digital Editions version 4.5.1 or later.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.3
(CVSS2#E:POC/RL:OF/RC:ND)
Public Exploit Available : true

Family: MacOS X Local Security Checks

Nessus Plugin ID: 89782 ()

Bugtraq ID: 84214

CVE ID: CVE-2016-0954

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now